body {
    /* background: linear-gradient(black,white,black); */
    direction: ltr;
}
.single_product_main {
    margin: 100px 0px 40px 0px;
}
.page-wrapper {
    margin: 40px 0px 50px 0px;
}

/* no drags on images */
img {
    user-drag: none;
    -webkit-user-drag: none;
    user-select: none;
    -webkit-user-select: none;
    pointer-events: none;
}

.product_page_step1 {
    margin: 40px auto;
}

.gallery-main {
    width: 400px;
    height: 400px;
    border: 1px solid var(--gold-color);
}

.product-gallery {
    max-width: 400px;
    /* margin: auto; */
}



.single_variation_wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.gallery-main {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}

.gallery-slider {
    display: flex;
    transition: transform 0.4s ease;
}

.gallery-slide {
    min-width: 100%;
    user-select: none;
}

.gallery-slide img {
    width: 100%;
    aspect-ratio: 1/1;
    display: block;
}

.gallery-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    border: none;
    font-size: 30px;
    width: 40px;
    height: 40px;
    cursor: pointer;
    z-index: 1;
    color: var(--gold-color);
}

.gallery-arrow.prev {
    left: 10px;
    box-shadow: none;
}

.gallery-arrow.next {
    right: 10px;
    box-shadow: none;
}

.gallery-thumbs {
    display: flex;
    gap: 10px;
    margin-top: 12px;
    justify-content: center;
}

.thumb {
    width: 60px;
    height: 60px;
    cursor: pointer;
    border: 2px solid transparent;
    /* border-radius: 8px; */
    overflow: hidden;
}

.thumb.active {
    border: 2px solid var(--gold-color);
}

.thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-slider {
    cursor: grab;
}

.gallery-slider:active {
    cursor: grabbing;
}

.woocommerce-variation {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

/* mahannn */

.woocommerce-breadcrumb {
    display: none;
}

#sidebar {
    display: none;
}

.product_title_h1 {
    text-align: right;
}

/* .product-short-description ul {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
} */
.product-short-description ul li {
    display: flex;
    align-items: center;
    justify-content: center;
}



/* === FORCE SHOW VARIATION SWATCHES === */
.variable-items-wrapper {
    display: flex !important;
    flex-wrap: wrap;
    gap: 10px;
}

.variable-item {
    display: inline-flex !important;
    width: 32px;
    height: 32px;
    /* border-radius: 100% !important; */
    cursor: pointer;
    border: 2px solid #ccc !important;
}

/* 
variable-item color-variable-item color-variable-item-سفید-با-فریم-بژ selected
*/
.variable-item.selected,
.variable-item[aria-checked="true"] {
    border-color: #000;
}

.variable-item-contents,
.variable-item-span {
    width: 100%;
    height: 100%;
    /* border-radius: 50%; */
}

.variable-item span {
    width: 100%;
    height: 100%;
    /* border-radius: 50%; */
    display: block !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
}

.label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.label label {
    color: white;
}

/* ===== Reset Variations Animation ===== */





.griffin-variation-cart {
    display: flex;
    gap: 14px;
    align-items: center;
    margin-top: 16px;
}

.griffin-qty {
    display: flex;
    border: 1px solid #e5e7eb;
    border-radius: 14px;
    overflow: hidden;
}

.input-text {
    height: 100%;
}

.griffin-qty input.qty {
    width: 52px;
    text-align: center;
    border: none;
    font-size: 16px;
    outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.variable-item {
    padding: 10px;
    border-radius: 999px;
}

.variable-item-span {
    color: black;
}

.quantity {
    background-color: white;
}

.single-product-variable-items {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
}

.woocommerce-variation-price .price {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.woocommerce-variation-price .price del {
    color: red;
}

.woocommerce-variation-price .price ins {
    color: #00000000;
}

.griffin-qty button {
    width: 42px;
    background: var(--hover-color);
    width: 42px;
    color: black;
    border: none;
    font-size: 20px;
    cursor: pointer;
    box-shadow: none;
}

.qty-plus,
.qty-minus {
    width: 42px;
    height: 31px;
    border-radius: 0px;
}

tr .label {
    margin: 0px auto;
}

.reset_variations {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    margin: 10px auto;
}

.griffin-add-to-cart {
    background: var(--hover-color) !important;
    color: #fff;
    padding: 14px 28px;
    border-radius: 16px;
    border: none;
    font-size: 15px !important;
    cursor: pointer;
    border-radius: 40px !important;
}

.button-variable-item {
    box-shadow: 10px 10px 1px #9c33ff;
}

/* my stylessssssssssssss */

/* mahannn */
.product-add-to-cart {
    width: 50%;
    padding: 25px;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}

.woo-variation-items-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.variable-item {
    background-color: white !important;
}

.variable-item.selected {
    background-color: var(--hover-color) !important;
    border: none;
}

.variable-item.selected span {
    color: white;
}

.product_page_step1 {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.variations {
    /* margin: 10px 0px 10px 100px; */
    margin: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.variations tbody tr {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
}





.product_page_step2_description {
    width: 80%;
    margin: 60px auto;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 20px;
}

.product_page_step2_description_title {
    position: relative;
    padding: 0px 40px 0px 40px;
}

.product_page_step2_description_title_tag {
    font-size: 22px;
    text-align: right;
}

.product_page_step2_description_title::after {
    content: "";
    position: absolute;
    bottom: -15px;
    left: 50%;
    transform: translateX(-50%);
    width: 95%;
    height: 2px;
    background: var(--gold-color);
}

h5,
p {
    text-align: justify;
    text-justify: inter-word;
    hyphens: auto;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    word-break: break-word;
}

/* product_boxxxxx titleeeee */
.similar_products_title {
    width: 80%;
    position: relative;
    margin: 30px auto;
}

.similar_products_title_tag {
    text-align: center;
    font-size: 22px;
}

.similar_products_title_tag::after {
    content: "";
    position: absolute;
    width: 90%;
    height: 2px;
    bottom: -15px;
    left: 50%;
    transform: translateX(-50%);
    background: var(--gold-color);
}

/* slider styles */

.similar_products_wrapper {
    position: relative;
    overflow: hidden;
    padding: 30px 0px;
}


.similar_products_wrapper {
    cursor: grab;
}

.similar_products_wrapper:active {
    cursor: grabbing;
}

.similar_products {
    display: flex;
    gap: 16px;
    transition: transform 0.4s ease;
}

.similar_product_box {
    min-width: 250px;
    /* عرض هر کارت */
    flex-shrink: 0;
}

/* arrow */
.similar-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    width: 36px;
    height: 36px;
    cursor: pointer;
}

.similar-arrow.prev {
    left: -10px;
    transform: rotateZ(0deg);
    background-color: var(--gold-color);
    mask: url(../../svg/nav.svg) center / contain no-repeat;
}

.similar-arrow.next {
    right: -10px;
    transform: rotateZ(180deg);
    background-color: var(--gold-color);
    mask: url(../../svg/nav.svg) center / contain no-repeat;
}



/* product_boxxxxx */



.similar_product_box {
    width: 230px;
    height: 300px;
    border-radius: 20px;
    box-shadow: var(--product-box-shadow);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    backdrop-filter: blur(5px);
}



.similar_product-box:hover {
    transform: skew(3deg, 3deg) scale(1.03);
}

.similar_product-img-box {
    display: block;
    width: 170px;
    height: 170px;
    border-radius: 20px;
    overflow: hidden;
}

.similar_product-img-box img {
    width: 100%;
    height: 100%;
}


.similar_product-intro-box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
}


.similar_product-intro-content-title {
    text-align: center;

}

.similar_product-intro-content-btnBox {
    display: flex;
    align-items: center;
    justify-content: center;
    align-items: center;
}

.similar_product-intro-content-btn {
    width: 150px;
    height: 30px;
}

button a {
    font-size: 18px;
}


/* no radious footer */
.footer {
    border-radius: 0px;
}

/* mediassssssssssssss */

@media (max-width:722px) {
    .product_page_step1 {
        flex-direction: column;
    }

    .variations {
        margin: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .griffin-variation-cart {
        flex-direction: column;
    }
    .product-add-to-cart {
        width: 80%;
    }

}

@media (max-width:422px) {

    .gallery-slider,
    .gallery-main {
        width: 300px;
        height: 300px;
    }
}